> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Non-Renewal

> Marks a policy for non-renewal. Generates non-renewal notice PDF and sends email.



## OpenAPI

````yaml post /submission/{displayId}/{transactionId}/non-renewal
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}/non-renewal:
    post:
      tags:
        - Policy Lifecycle
      summary: Non-Renewal
      description: >-
        Marks a policy for non-renewal. Generates non-renewal notice PDF and
        sends email.
      operationId: nonRenewal
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                nonRenewal_reason:
                  description: Non-renewal reason
                  type: string
                other_nonRenewal_reason:
                  description: >-
                    Custom non-renewal reason (overrides nonRenewal_reason if
                    provided)
                  type: string
              type: object
      responses:
        '200':
          description: Non-renewal processed
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                  submission_status:
                    type: string
                type: object
        '401':
          description: Unauthorized
        '404':
          description: Submission not found
        '422':
          description: Non-renewal not available
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````